This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 895670 - Dependency error updating to 1.20.1
Dependency error updating to 1.20.1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-15 13:42 EST by Peter Trenholme
Modified: 2013-01-21 12:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-21 12:03:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Trenholme 2013-01-15 13:42:12 EST
Description of problem: libdmPackage and libldm are listed as dependencies, but not available in the F-18 repository


Version-Release number of selected component (if applicable):
1:1.19.66-1 --> 1:20.1-2

How reproducible: Every time


Steps to Reproduce:
1.yum update
2.
3.
  
Actual results:
Dependency Resolution Errors:

Package: 1:libguestfs-1.20.1-2.fc18.x86_64 (updates)
    Requires: libldmPackage: 1:libguestfs-1.20.1-2.fc18.x86_64 (updates)
    Requires: libldm-1.0.so.0()(64bit)

Expected results:
libguestfs updated

Additional info:
Comment 1 Mike Burns 2013-01-15 16:33:47 EST
You can add this to the yum command:

--enablerepo updates-testing 

and get libldm from there.  The package exists, but needs to be pushed to stable.

koji build:  http://koji.fedoraproject.org/koji/buildinfo?buildID=356010

bodhi review:  https://admin.fedoraproject.org/updates/FEDORA-2012-15366/libldm-0.2.3-1.fc18
Comment 2 Richard W.M. Jones 2013-01-15 23:37:59 EST
(In reply to comment #1)
> You can add this to the yum command:
> 
> --enablerepo updates-testing 
> 
> and get libldm from there.  The package exists, but needs to be pushed to
> stable.
> 
> koji build:  http://koji.fedoraproject.org/koji/buildinfo?buildID=356010
> 
> bodhi review: 
> https://admin.fedoraproject.org/updates/FEDORA-2012-15366/libldm-0.2.3-1.fc18

Thanks.  I've asked Matt Booth to push this update to stable urgently.
Comment 3 Richard W.M. Jones 2013-01-21 12:03:06 EST
libldm has been pushed, and should appear in stable or already
be there.

Note You need to log in before you can comment on or make changes to this bug.